import { IBridgeConfig } from './index';
declare class CoronadoBridge {
    private outboundProvider;
    private config;
    private logger?;
    private servers;
    /**
     * constructor
     * This function configures and starts CoronadoBridge.
     * 1. Instantiates the OutboundProvider
     * 2. Starts Express
     * @params config: IBridgeConfig
     * @returns - None
     **/
    constructor(config: IBridgeConfig);
    /**
     * setupExpress
     * This function creates express servers on the given ports.
     * 1. Create an express server for each port in the config
     * 2. Sets up server route
     * @returns - None
     **/
    setupExpress(): void;
    close(): void;
}
export default CoronadoBridge;
